package com.jenny.advancedarrows;

import com.jenny.advancedarrows.particles.ArrowParticle;
import net.minecraft.client.Minecraft;
import net.minecraftforge.client.event.RegisterParticleProvidersEvent;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.fml.common.Mod;

import static com.jenny.advancedarrows.advancedArrows.MODID;
import static com.jenny.advancedarrows.particles.particles.PARTICLE_BREACHING_ARROW;

@Mod.EventBusSubscriber(modid = MODID, bus = Mod.EventBusSubscriber.Bus.MOD)
public class eventBusEvents {
    @SubscribeEvent
    public static void registerParticleFactories(final RegisterParticleProvidersEvent event) {
        //particles.registerClient(Minecraft.getInstance().particleEngine);
        Minecraft.getInstance().particleEngine.register(PARTICLE_BREACHING_ARROW.get(), ArrowParticle.Provider::new);
    }
}
