package com.jenny.advancedarrows.items;

import com.jenny.advancedarrows.entities.ricochetArrow;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.projectile.AbstractArrow;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.Level;
import org.jetbrains.annotations.NotNull;

public class ArrowRicochet extends ArrowAbstract {
    public ArrowRicochet(Properties properties){
        super(properties);
    }

    @Override
    @NotNull
    public AbstractArrow createArrow(@NotNull Level pLevel, @NotNull ItemStack pStack, @NotNull LivingEntity pShooter) {
        return new ricochetArrow(pLevel, pShooter);
    }
}
