package com.jenny.advancedarrows.particles;

import net.minecraft.client.particle.ParticleEngine;
import net.minecraft.core.particles.ParticleType;
import net.minecraft.core.particles.SimpleParticleType;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;
import org.jetbrains.annotations.NotNull;

import static com.jenny.advancedarrows.advancedArrows.MODID;

public class particles {
    public static final DeferredRegister<ParticleType<?>> PARTICLES = DeferredRegister.create(ForgeRegistries.PARTICLE_TYPES, MODID);

    public static final RegistryObject<SimpleParticleType> PARTICLE_BREACHING_ARROW =
            PARTICLES.register("particle_breaching_arrow", () -> new SimpleParticleType(true));

    public static void register(IEventBus bus) {
        PARTICLES.register(bus);
    }

    public static void registerClient(@NotNull ParticleEngine pEngine) {
        pEngine.register(PARTICLE_BREACHING_ARROW.get(), ArrowParticle.Provider::new);
    }
}
